
#include<SPI.h>
//The csPin commandlines decides which output ports on the adafruit microcontroller the connection cables are connected to.
//It is important that it is a digital output port that is chosen but which ones that are chosen are completely up to the user.
const byte csPin1=10;
const byte csPin2=9;
const byte csPin3=6;
const byte csPin4=1;
//These commandlines designate which analog input ports recieve which sensor signals. It's important that the names matches the input data. 
const byte Torque=A0;
const byte Xaxis=A1;
const byte Yaxis=A2;
const byte Zaxis=A3;
const int  maxPositions=256; //Number of positions the wipers can move in the digipots.  
int Counter=0;
char Gain1[5];
int Gain=0;
char Bitvalue1[5];
int Bitvalue=0;
byte number = 0;
int Counter2=0;
//These values set the wiper position and therefore decided the resistance values. 
//To find what wiper position gives which resistancevalue, take the total potmeter value and divide it by 255. 
int POT0_Dn = 0;
int POT1_Dn = 0;
int POT2_Dn = 128;
int POT3_Dn = 128;



void setup() {
  Serial.begin(9600);
  pinMode(csPin1, OUTPUT);
  pinMode(csPin2, OUTPUT);
  pinMode(csPin3, OUTPUT);
  pinMode(csPin4, OUTPUT); 
  pinMode(Torque,INPUT);
  pinMode(Xaxis,INPUT);
  pinMode(Yaxis,INPUT);
  pinMode(Zaxis,INPUT);
//SPI.begin initialises SPI communication with the digipots. 
  SPI.begin(); 
while(!Serial); //Makes the program wait until serial is ready
Serial.println("Please type in gain amount for amplifier circuit:");
}

void loop() {
  //Lets the user type in the wanted amount of gain for the amplifier circuit in the Serial monitor
  if (Gain==0 && Counter==0){
    if (Serial.available()>0){
      Serial.readBytesUntil('\n', Gain1, 4);
      Gain = atoi(Gain1);  
      Serial.println(Gain);
    }
  }
  //Runs the funtion calculateResistance which based on the wanted amount of gain calculates the resistance needed from the potentiometer
  if (Gain!=0 && Counter==0){
  CalculateResistance();
  }
  //Waits on new manual input from user after they have figured out the wanted wiper position bit from the potentiometer datasheet
  if (Gain!=0 && Counter==1){
    if (Serial.available()>0){
      Serial.readBytesUntil('\n', Bitvalue1, 4);
      Bitvalue = atoi(Bitvalue1);  
      Serial.print("Setter bitverdien ");
      Serial.print(Bitvalue);
      Serial.println(" til potentiometere");
      DigitalPotWrite(0x11, Bitvalue, csPin1);
      DigitalPotWrite(0x11, Bitvalue, csPin2);
      DigitalPotWrite(0x11, Bitvalue, csPin3);
      DigitalPotWrite(0x11, Bitvalue, csPin4);
    }
    if (Bitvalue>0){
      Counter++; 
    }
  }
  if (Counter>=2){
    int TorqueValue=analogRead(Torque);
    int XaxisValue=analogRead(Xaxis);
    int YaxisValue=analogRead(Yaxis);
    int ZaxisValue=analogRead(Zaxis);
    if (Counter2==0){
      Serial.print("Torque måling:  ");
      Serial.print("X akse force måling:  ");
      Serial.print("Y akse force måling:  ");
      Serial.println("Z akse force måling:  "); 
      Counter2++;
    }
    Serial.print(TorqueValue);
    Serial.print("             ");
    Serial.print(XaxisValue);
    Serial.print("                   ");
    Serial.print(YaxisValue);
    Serial.print("                   ");
    Serial.println(ZaxisValue);
  
    //for (int POT_Dn = 0; POT_Dn < 256; POT_Dn++) {
      //DigitalPotWrite(0x11, POT_Dn, csPin1);
   //}
       
  }
}
void CalculateResistance() {
int Resistance1=200000/(Gain-5);
int Resistance2=200000/(Gain-5);
int Resistance3=200000/(Gain-5);
int Resistance4=200000/(Gain-5);
int verdi=(10-5);
Serial.println(verdi);
Serial.print("Resistance1 should be ");
Serial.println(Resistance1);
Serial.print("Resistance2 should be ");
Serial.println(Resistance2);
Serial.print("Resistance3 should be ");
Serial.println(Resistance3);
Serial.print("Resistance4 should be ");
Serial.println(Resistance4);
Serial.println("Please check the datasheet for the potmeter and manually enter here the corresponding bit value: ");
Counter++;
}

//Code that sends 
void DigitalPotWrite(int cmd, int val, int CS_PIN)
{
  // constrain input value within 0 - 255
  val = constrain(val, 0, 255);
  // set the CS pin to low to select the chip:
  digitalWrite(CS_PIN, LOW);
  // send the command and value via SPI:
  SPI.transfer(cmd);
  SPI.transfer(val);
  // Set the CS pin high to execute the command:
  digitalWrite(CS_PIN, HIGH);
}
  
