clc; clear;

%Average iteration data 
torque = [348.7248 356.6058 354.2615 356.3847 356.3594 355.2107]; 
f_x_pos = [8.4398 8.4784 8.4738 8.3475 8.2939 8.3575];
f_x_neg = [-8.5345 -8.5387 -8.5378 -8.5471 -8.5456 -8.5444];
f_y_pos = [8.6233 8.6326 8.6452 8.6531 8.6459 8.6562];
f_y_neg = [-8.6050 -8.6094 -8.6065 -8.6041 -8.6004 -8.6047];

%Calculating deviation in percent of 1st iteration. 
t_error_perc = ((torque - torque(1))./torque(1))*100;
fxp_error_perc = ((f_x_pos - f_x_pos(1))./f_x_pos(1)).*100;
fxn_error_perc = ((f_x_neg - f_x_neg(1))./f_x_neg(1)).*100;
fyp_error_perc = ((f_y_pos - f_y_pos(1))./f_y_pos(1)).*100;   
fyn_error_perc = ((f_y_neg - f_y_neg(1))./f_y_neg(1)).*100;

%Plotting
b_graph = [fxp_error_perc(2:end)' fxn_error_perc(2:end)' fyp_error_perc(2:end)' fyn_error_perc(2:end)'];
bar(b_graph)
%bar(t_error_perc','BarWidth',0.5)
title('Measurement drift from 1st iteration')
ylabel('Measurement drift %')
xlabel('Iteration')
xticklabels(2:6)
legend('F_x positive','F_x negative','F_y positive','F_y negative')
%xlim([1.1 6.9])

% subplot(2,1,1)
% 
% bar([fxp_error_perc(2:end)' fxn_error_perc(2:end)'])
% 
% ylabel('Differnce %')
% xlabel('Attempt number')
% xticklabels(2:6)
% 
% subplot(2,1,2)
% bar([fyp_error_perc(2:end)' fyn_error_perc(2:end)'])
% ylabel('Differnce %')
% xlabel('Attempt number')
% xticklabels(2:6)



   
   
   
    
    
      
  
  
  
  
  
    