clc
clear
data_raw = load('data_torque_periodisk.txt');
data = data_raw(11000:end,:);
torque = data(:,2)';

time = timeVec(data);
apf = zeros(1,length(time));
for i = 1:length(time)-1 %Inserted the estimated time for when force was applied
    if time(i) >= 3.97 && time(i) <= 9.38
        apf(i) = 350;
    end
    if time(i) >= 13.87 && time(i) <= 18.02
        apf(i) = 350;
    end
    if time(i) >= 23.72 && time(i) <= 28.79
        apf(i) = 350;
    end
     if time(i) >= 33.9 && time(i) <= 38.68
        apf(i) = 350;
    end
     if time(i) >= 43.59 && time(i) <= 48.55
        apf(i) = 350;
     end
    if time(i) >= 53.69 && time(i) <= 58.8
        apf(i) = 350;
    end
    if time(i) >= 67.29 && time(i) <= 72.28
        apf(i) = 350;
    end
    if time(i) >= 77.58 && time(i) <= 82.16
        apf(i) = 350;
    end
end

subplot(2,1,1);
plot(time,apf,'r','LineWidth',1.5)

hold on
plot(time,torque,'b','LineWidth',1.5);
ylabel('Torque (Nmm)')
xlabel('Time(Seconds)')
title('Periodically applied torque on torque-sensor')
xlim([0 60])
ylim([0 400])
legend('Applied torque','Measured torque')

subplot(2,1,2)
subplot(2,1,2)
error = apf- torque;
plot(time,error,'LineWidth',1.5)
ylabel('Torque (Nmm)')
xlabel('Time (seconds)')
title('Measurement error')
ylim([-400 400])
xlim([0 60])