clc
clear
data_raw = load('data_xneg_periodisk.txt');
data = data_raw(10000:end,:);
x_akse = data(:,2)';

time = timeVec(data);

apf = zeros(1,length(time));
for i = 1:length(time)-1 %Inserted the estimated time for when force was applied
    if time(i) >= 4.17 && time(i) <= 9.1
        apf(i) = -8.53;
    end
    if time(i) >= 14.06 && time(i) <= 19.21
        apf(i) = -8.53;
    end
    if time(i) >= 24.04 && time(i) <= 28.98
        apf(i) = -8.53;
    end
     if time(i) >= 34.23 && time(i) <= 39.16
        apf(i) = -8.53;
    end
     if time(i) >= 44.1 && time(i) <= 49.18
        apf(i) = -8.53;
     end
    if time(i) >= 54.16 && time(i) <= 59.05
        apf(i) = -8.53;
    end
    if time(i) >= 67.29 && time(i) <= 72.28
        apf(i) = -8.53;
    end
    if time(i) >= 77.58 && time(i) <= 82.16
        apf(i) = -8.53;
    end
end

subplot(2,1,1)
plot(time, apf,'r','LineWidth',1.5)



hold on 
plot(time,x_akse,'b','LineWidth',1.5);
xlim([0 60])
ylim([-9 1])
ylabel('Force (N)')
xlabel('Time (seconds)')
title('Periodically applied force in negativ x-direction')
legend('Applied force','Measured force')

subplot(2,1,2)
error = apf- x_akse;
plot(time,error,'LineWidth',1.5)
ylabel('Force (N)')
xlabel('Time (seconds)')
title('Measurement error')
ylim([-10 10])
xlim([0 60])
