clc 
clear

data_raw = load('data_xpos_periodisk.txt');
data = data_raw(5000:end,:);
x_axis = data(:,2)';
time = timeVec(data);

apf = zeros(1,length(time));
subplot(2,1,1)
target = 8.44;

for i = 1:length(time)-1 %Inserted the estimated time for when force was applied
    if time(i) >= 3.27 && time(i) <= 8.09
        apf(i) = target;
    end
    if time(i) >= 13.2 && time(i) <= 17.9
        apf(i) = target;
    end
    if time(i) >= 22.92 && time(i) <= 28
        apf(i) = target;
    end
     if time(i) >= 33.28 && time(i) <= 37.87
        apf(i) = target;
    end
     if time(i) >= 42.9 && time(i) <= 48.14
        apf(i) = target;
     end
    if time(i) >= 53.13 && time(i) <= 57.88
        apf(i) = target;
    end
    if time(i) >= 67.29 && time(i) <= 72.28
        apf(i) = target;
    end
    if time(i) >= 77.58 && time(i) <= 82.16
        apf(i) = target;
    end
end
plot(time, apf,'r','LineWidth',1.5)

hold on
plot(time, x_axis,'b','LineWidth',1.5)
xlim([0 60])
ylim([-1 9])
ylabel('Force (N)')
xlabel('Time (seconds)')
title('Periodically applied force in postive x-direction')
legend('Applied force','Measured force')

subplot(2,1,2)
error = apf- x_axis;
plot(time,error,'LineWidth',1.5)
ylabel('Force (N)')
xlabel('Time (seconds)')
title('Measurement error')
ylim([-10 10])
xlim([0 60])

