clc
clear

data_raw = load('data_yneg_periodisk.txt'); %Loading data file
data = data_raw(40000:end,:); %Trimming the data file
y_akse = data(:,2)'; %Assigning the y-axis
time = timeVec(data); %Using the timeVec function to generate the time-array

apf = zeros(1,length(time)); %Preamble of applied force array. 

for i = 1:length(time)-1 %Inserted the estimated time for when force was applied
    if time(i) >= 2.41 && time(i) <= 7.35
        apf(i) = -8.63;
    end
    if time(i) >= 12.44 && time(i) <= 17.41
        apf(i) = -8.63;
    end
    if time(i) >= 22.42 && time(i) <= 27.23
        apf(i) = -8.63;
    end
     if time(i) >= 32.36 && time(i) <= 37.37
        apf(i) = -8.63;
     end
    if time(i) >= 42.37 && time(i) <= 47.27 
        apf(i) = -8.63;
    end
    if time(i) >= 52.23 && time(i) <= 57.21
        apf(i) = -8.63;
    end
    if time(i) >= 67.29 && time(i) <= 72.28
        apf(i) = -8.63;
    end
    if time(i) >= 77.58 && time(i) <= 82.16
        apf(i) = -8.63;
    end
end

subplot(2,1,1) 
plot(time,apf,'r','LineWidth',1.5); %plotting applied force

hold on
plot(time,y_akse,'b','LineWidth',1.5); %plotting y-axis force measurement 

%Setting labels and setting graph limits
ylabel('Force (N)')
xlabel('Time (seconds)')
title('Periodically applied force in negative y-direction')
xlim([0 60])
ylim([-9 1])
legend('Applied force','Measured force')

subplot(2,1,2);
error = apf- y_akse; %Calculating the error graph
plot(time,error,'LineWidth',1.5)

%Adding labels and limits
ylabel('Force (N)')
xlabel('Time (seconds)')
title('Measurement error')
ylim([-10 10])
xlim([0 60])