%preamble
clc
clear

%Force in positive y direction
data = load('data_ypos_perdiodisk.txt');
y_akse_data = data(:,2)';
y_akse = y_akse_data(1:end);

time = timeVec(data); %Sets start time to 0, and converts to seconds

subplot(2,1,1) %The experiment
%Applied force graph
apf = zeros(1,length(time));
for i = 1:length(time)-1 %Inserted the estimated time for when force was applied
    if time(i) >= 7.64 && time(i) <= 12.33
        apf(i) = 8.63;
    end
    if time(i) >= 17.64 && time(i) <= 22.44
        apf(i) = 8.63;
    end
    if time(i) >= 27.49 && time(i) <= 32.01
        apf(i) = 8.63;
    end
     if time(i) >= 37.64 && time(i) <= 42.45
        apf(i) = 8.63;
     end
    if time(i) >= 47.41 && time(i) <= 52.3
        apf(i) = 8.63;
    end
    if time(i) >= 57.31 && time(i) <= 62.24
        apf(i) = 8.63;
    end
    if time(i) >= 67.29 && time(i) <= 72.28
        apf(i) = 8.63;
    end
    if time(i) >= 77.58 && time(i) <= 82.16
        apf(i) = 8.63;
    end
end
plot(time, apf,'r','LineWidth',1.5)

hold on
plot(time,y_akse,'b','LineWidth',1.5);

%Adding title and adjustments
ylabel('Force (N)')
xlabel('Time (seconds)')
title('Periodically applied force in postive y-direction')
legend('Applied force','Measured force')
ylim([-1 10])
xlim([0 60])

%Plotting measurement error
subplot(2,1,2) 
error = apf- y_akse;
plot(time,error,'LineWidth',1.5)

%Adding title and adjustments
ylabel('Force (N)')
xlabel('Time (seconds)')
title('Measurement error')
ylim([-10 10])
xlim([0 60])