%preamble
clc
clear

%Force in negative y direction
data = load('Sensorlogdata_Crossfeed_maling_1_Yaxis_Negativ.txt');
Torque_akse_data = data(:,2)';
x_akse_data = data(:,3)';
y_akse_data = data(:,4)';
z_akse_data = data(:,5)';
Torque_akse = Torque_akse_data(1:end);
x_akse = x_akse_data(1:end);
y_akse = y_akse_data(1:end);
z_akse = z_akse_data(1:end);

time = timeVec(data); %Sets start time to 0, and converts to seconds

%Plotting Toruqe
subplot(2,2,1) 
plot(time,Torque_akse,'b','LineWidth',1.0);
title('Subplot 1: Torque measurement')
xlabel('Time (s)');
ylabel('Torque (N*mm)');
%Plotting X
subplot(2,2,2) 
plot(time,x_akse,'b','LineWidth',1.0);
title('Subplot 2: X-axis measurement')
xlabel('Time (s)');
ylabel('Force (N)');
%Plotting Y
subplot(2,2,3) 
plot(time,y_akse,'b','LineWidth',1.0);
title('Subplot 3: Y-axis measurement')
xlabel('Time (s)');
ylabel('Force (N)');
%Plotting Z
subplot(2,2,4) 
plot(time,z_akse,'b','LineWidth',1.0);
title('Subplot 4: Z-axis measurement')
xlabel('Time (s)');
ylabel('Force (N)');