%preamble
clc
clear

%Force in positive y direction
data = load('Sensorlogdata_Crossfeed_maling_4_Xakse_Negativ_uten_average.txt');
Torque_akse_data = data(:,2)';
x_akse_data = data(:,3)';
y_akse_data = data(:,4)';
z_akse_data = data(:,5)';
Torque_akse = Torque_akse_data(1:end);
x_akse = x_akse_data(1:end);
y_akse = y_akse_data(1:end);
z_akse = z_akse_data(1:end);

time = timeVec(data); %Sets start time to 0, and converts to seconds

subplot(2,2,1) %The experiment
%Applied force graph
apf = zeros(1,length(time));
bpf = zeros(1,length(time));
for i = 1:length(time) %Inserted the estimated time for when force was applied
    if time(i) >= 6.25
        apf(i) = -8.63;
    end
    if time(i) >= 16.64
        bpf(i) = -800.63;
    end
end
plot(time, bpf,'r','LineWidth',1.0)
hold on
plot(time,Torque_akse,'b','LineWidth',1.0);
title('Subplot 1: Torque measurement')
xlabel('Time (s)');
ylabel('Torque (mN-m)');
subplot(2,2,2) 
plot(time, apf,'r','LineWidth',1.0)
hold on
plot(time,x_akse,'b','LineWidth',1.0);
title('Subplot 2: X-axis measurement')
xlabel('Time (s)');
ylabel('Force (N)');
subplot(2,2,3) 
plot(time, apf,'r','LineWidth',1.0)
hold on
plot(time,y_akse,'b','LineWidth',1.0);
title('Subplot 3: Y-axis measurement')
xlabel('Time (s)');
ylabel('Force (N)');
subplot(2,2,4) 
plot(time, apf,'r','LineWidth',1.0)
hold on
plot(time,z_akse,'b','LineWidth',1.0);
title('Subplot 4: Z-axis measurement')
xlabel('Time (s)');
ylabel('Force (N)');