clc
clear

data = load('Sensorlogdata_Riste_maling_1_Alle_Akser.txt');

time = timeVec(data);

torque = data(:,2)';
x_axis = data(:,3)';
y_axis = data(:,4)';
z_axis = data(:,5)';

subplot(2,2,1)
plot(time, torque,'LineWidth',1.5)
xlabel('Time (Seconds)')
ylabel('Torque (Nmm)')
title('Torque measurement (M_z)')
xlim([0 70])

subplot(2,2,2)
plot(time, x_axis,'LineWidth',1.5)
xlabel('Time (Seconds)')
ylabel('Force (N)')
title('Force measurement (F_x)')
xlim([0 70])

subplot(2,2,3)
plot(time, y_axis,'LineWidth',1.5)
xlabel('Time (Seconds)')
ylabel('Force (N)')
title('Force measurement (F_y)')
xlim([0 70])

subplot(2,2,4);
plot(time, z_axis,'LineWidth',1.5)
xlabel('Time (Seconds)')
ylabel('Force (N)')
title('Force measurement (F_z)')
xlim([0 70])