clc
clear

data = load('Sensorlogdata_temperatur_maling_1_Alle_akser.txt'); %Loading data

time = timeVec(data); %Calculatime time vector from millis
torque = data(:,2)'; %Seperating measurement data
x_axis = data(:,3)';
y_axis = data(:,4)';
z_axis = data(:,5)';

subplot(2,2,1) %Plotting torque
plot(time, torque,'LineWidth',1.5)
xlabel('Time (Seconds)')
ylabel('Torque (Nmm)')
title('Torque measurement (M_z)')
ylim([-50 35])
xlim([0 250])
hold on 
m_reg = polyfit(time,torque,1); %Linear regression
torque_reg = polyval(m_reg,time); 
plot(time, torque_reg,'r','LineWidth',1.5) %Plotting lr

subplot(2,2,2)
plot(time, x_axis,'LineWidth',1.5)
xlabel('Time (Seconds)')
ylabel('Force (N)')
title('Force measurement (F_x)')
ylim([-1 0.5])
xlim([0 250])
hold on
fx_reg = polyfit(time,x_axis,1);
fx_reg_vals = polyval(fx_reg,time);
plot(time, fx_reg_vals,'r','LineWidth',1.5)

legend('Measurement value','Linear regression')

subplot(2,2,3)
plot(time, y_axis,'LineWidth',1.5)
xlabel('Time (Seconds)')
ylabel('Force (N)')
title('Force measurement (F_y)')
ylim([-1 0.5])
xlim([0 250])
hold on
fy_reg = polyfit(time,y_axis,1);
fy_reg_vals = polyval(fy_reg,time);
plot(time, fy_reg_vals,'r','LineWidth',1.5)

subplot(2,2,4);
plot(time, z_axis,'LineWidth',1.5)
xlabel('Time (Seconds)')
ylabel('Force (N)')
title('Force measurement (F_z)')
ylim([-1 0.5])
xlim([0 250])
hold on
fz_reg = polyfit(time,z_axis,1);
fz_reg_vals = polyval(fz_reg,time);
plot(time, fz_reg_vals,'r','LineWidth',1.5)