clc
clear
noise = load('Noise.txt');
y1 = noise(1,:);
n = length(y1);
x = 0:n-1;
fs = 1000;
t = x.*(1/fs);

size =20;
y1_avg = runningAverage(y1,size);
y2 = y1_avg(1:end-size);
t2 = t(1:end-size);

Y = fft(y2);
n2 = n -size;
%n2 = n;
%Y = fft(y1);

P2 = abs(Y/n2);
P1 = P2(1:n2/2+1);
P1(2:end-1) = 2*P1(2:end-1);

f = fs*(0:(n2/2))/n2;

subplot(4,1,2); 
plot(t2,y2);
title('Filtered signal');
xlabel('time');
ylabel('Amplitude');

subplot(4,1,1);
plot(f(2:end),P1(2:end))
title('Single-Sided Amplitude Spectrum of filtered signal')
xlabel('f (Hz)')
ylabel('|Signal|')
xlim([0 200])

subplot(4,1,3);
plot(t,y1);
title('Raw signal');
xlabel('time');
ylabel('Amplitude');


