clc
clear
noise = load('Noise.txt');
y1 = noise(1,:);
n = length(y1);
x = 0:n-1;
fs = 1000;
t = x.*(1/fs);


%Plotting raw signal
subplot(4,1,1)
plot(t,y1)
title('Raw signal');
xlabel('time');
ylabel('Amplitude');
ylim([2.886 2.894])
%Plotting frequency analysis of raw signal
subplot(4,1,2)
y1_freq = freqAnalysis(y1,length(y1));
f_y1 = freqAxis(fs, length(y1));
plot(f_y1,y1_freq)
title('Single-Sided Amplitude Spectrum of raw signal')
xlabel('f (Hz)')
ylabel('|Signal|')
xlim([0 200])

%Plotting filtered signal
subplot(4,1,3)
size =50;
y1_avg = runningAverage(y1,size);
y2 = y1_avg(1:end-size);
t2 = t(1:end-size);
plot(t2,y2)
title('Filtered signal');
xlabel('time');
ylabel('Amplitude');
ylim([2.886 2.894])

%Plotting filtered frequency analysis
subplot(4,1,4)
y2_freq = freqAnalysis(y2,length(y2));
f_y2 = freqAxis(fs, length(y2));
plot(f_y2,y2_freq)
title('Single-Sided Amplitude Spectrum of filtered signal')
xlabel('f (Hz)')
ylabel('|Signal|')
xlim([0 200])